import { OutboxMessage } from './message';
export type ErrorType = 'transient_error' | 'permanent_error';
/** An error that was raised when handling an outbox/inbox message. */
export declare class MessageError<T extends OutboxMessage> extends Error {
    messageObject: T;
    innerError?: Error | undefined;
    constructor(message: string, messageObject: T, innerError?: Error | undefined);
}
/**
 * Returns the error as verified Error object or wraps the input as Error.
 * @param error The error variable to check
 * @returns The error if the input was already an error otherwise a wrapped error.
 */
export declare const ensureError: (error: unknown) => Error;
//# sourceMappingURL=error.d.ts.map