"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureError = exports.MessageError = void 0;
/** An error that was raised when handling an outbox/inbox message. */
class MessageError extends Error {
    constructor(message, messageObject, innerError) {
        super(message);
        this.messageObject = messageObject;
        this.innerError = innerError;
        this.name = this.constructor.name;
    }
}
exports.MessageError = MessageError;
/**
 * Returns the error as verified Error object or wraps the input as Error.
 * @param error The error variable to check
 * @returns The error if the input was already an error otherwise a wrapped error.
 */
const ensureError = (error) => {
    if (error instanceof Error) {
        return error;
    }
    return new Error(String(error));
};
exports.ensureError = ensureError;
//# sourceMappingURL=error.js.map